"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = build;

var _path = _interopRequireDefault(require("path"));

var _kleur = _interopRequireDefault(require("kleur"));

var _del = _interopRequireDefault(require("del"));

var _compile = _interopRequireDefault(require("../utils/compile"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function build({
  root,
  source,
  output,
  options,
  report
}) {
  report.info(`Cleaning up previous build at ${_kleur.default.blue(_path.default.relative(root, output))}`);
  await (0, _del.default)([output]);
  await (0, _compile.default)({ ...options,
    root,
    source,
    output,
    modules: false,
    report
  });
}
//# sourceMappingURL=module.js.map