"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = androidAssemble;

var _path = _interopRequireDefault(require("path"));

var _kleur = _interopRequireDefault(require("kleur"));

var _fsExtra = _interopRequireDefault(require("fs-extra"));

var _child_process = require("child_process");

var _os = require("os");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function androidAssemble({
  root,
  androidPath,
  report
}) {
  const cwd = _path.default.relative(root, androidPath);

  report.info(`Assembling Android project in ${_kleur.default.blue(cwd)} with ${_kleur.default.blue('gradle')}`);
  const gradleWrapper = (0, _os.platform)() === 'win32' ? 'gradlew.bat' : './gradlew';

  if (await _fsExtra.default.pathExists(_path.default.join(androidPath, gradleWrapper))) {
    (0, _child_process.execFileSync)(gradleWrapper, ['assemble'], {
      cwd: androidPath
    });
  } else {
    throw new Error(`The ${_kleur.default.blue('gradlew')} script doesn't seem to present in ${_kleur.default.blue(androidPath)}. Make sure you have added it by running ${_kleur.default.blue('gradle wrapper')} in that directory.`);
  }
}
//# sourceMappingURL=androidAssemble.js.map