"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.warn = exports.success = exports.info = exports.exit = exports.error = void 0;

var _kleur = _interopRequireDefault(require("kleur"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const logger = (type, color) => (...messages) => {
  console.log(color(_kleur.default.bold(type)), ...messages);
};

const info = logger('ℹ', _kleur.default.blue);
exports.info = info;
const warn = logger('⚠', _kleur.default.yellow);
exports.warn = warn;
const error = logger('✖', _kleur.default.red);
exports.error = error;
const success = logger('✔', _kleur.default.green);
exports.success = success;

const exit = (...messages) => {
  error(...messages);
  process.exit(1);
};

exports.exit = exit;
//# sourceMappingURL=logger.js.map